/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package it.electronicshop.ejb.util;
import java.io.Serializable;
import java.util.List;

/**
 *
 * @author boymixli
 */
public class CartDetails implements Serializable {

    private Integer idUser;
    private UserClientDetails client;
    private List<CartItemDetails> items;

    public CartDetails(Integer idUser, List<CartItemDetails> items) {
        this.idUser = idUser;
        this.items = items;
    }

    public CartDetails(UserClientDetails client, List<CartItemDetails> items) {
        this.client = client;
        this.items = items;
        this.idUser = client.getIdUser();
    }

    public void delItemById(Integer idP) {
        for(CartItemDetails i : this.items)
        {
           if(i.getProduct().getIdProduct().equals(idP))
           {
                this.items.remove(i);
                break;
           }
        }
    }

    public UserClientDetails getClient() {
        return client;
    }

    public void setClient(UserClientDetails client) {
        this.client = client;
    }

    public Integer getIdUser() {
        return idUser;
    }

    public void setIdUser(Integer idUser) {
        this.idUser = idUser;
    }

    public List<CartItemDetails> getItems() {
        return items;
    }

    public void setItems(List<CartItemDetails> items) {
        this.items = items;
    }

    public void addItem(CartItemDetails item) {
        this.items.add(item);
    }

    public void delItem(CartItemDetails item) {
        this.items.remove(item);
    }

}
