<%-- 
    Document   : catalog.jsp
    Created on : Jun 9, 2009, 12:04:14 PM
    Author     : developer
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ page import="
    it.electronicshop.web.controller.setup.Setup,
    it.electronicshop.ejb.beans.cartControllerRemote,
    it.electronicshop.ejb.util.UserClientDetails"%>

 <%!
    public void jspInit() {
        try {
            Setup setup = new Setup(this);

        } catch (Exception ex) {
            System.out.println("Carrello non caricato: "+
                    ex.getMessage());
        }
    }
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Catalogo On Line</title>
        <link rel="stylesheet" type="text/css" href="<%=request.getContextPath()%>/resources/css/stylesheet.css" />
        <script>
            function setParametersAndPost()
            {
                document.execute.action = "<%=request.getContextPath()%>/product/listFilter";
                document.execute.submit();
            }
            function addProductInCart(idProduct)
            {
                document.execute.product.value = idProduct;
                document.execute.action = "<%=request.getContextPath()%>/product/addPInCart";
                document.execute.submit();
            }
            function delProductInCart(idProduct)
            {
                document.execute.product.value = idProduct;
                document.execute.action = "<%=request.getContextPath()%>/product/delPFromCart";
                document.execute.submit();
            }
        </script>
    </head>
    <body>
    <div id="container">
        <jsp:include page="header.jsp" />
            <div id="main">
            <form name="execute" action="" method="POST">
                <div id="staticMain">
                    <input type="hidden" name="product" value="-1" />
                    Filtra per tipo prodotto
                    <select name="productType" onchange="setParametersAndPost()">
                        <option value="-1"
                            <c:if test="${empty requestScope['productType'] || requestScope['productType'] == -1}">
                                selected
                            </c:if>
                        >Tutti</option>
                        <c:forEach var="producttype" begin="0" items="${requestScope['producttypes']}">
                            <option value="${producttype.idType}"
                               <c:if test="${requestScope['productType'] == producttype.idType}">
                                selected
                               </c:if>
                            >${producttype.nameType}</option>
                        </c:forEach>
                    </select>
                </div>
                <div id="catalog">
                        <table border="1">
                            <thead>
                                <tr>
                                    <th border="0"></th>
                                    <th>Nome</th>
                                    <th>Descrizione</th>
                                    <th>Prezzo</th>
                                    <th>Disponibilità</th>
                                    <th>Tipo prodotto</th>
                                </tr>
                            </thead>
                            <tbody>
                               <c:set var="itempC" value="1" />
                               <c:forEach var="product" begin="0" items="${requestScope['products']}">
                               <c:if test="${itempC % 2 == 0}">
                                   <c:set var="classStyle" value="pair" />
                               </c:if>
                               <c:if test="${itempC % 2 != 0}">
                                   <c:set var="classStyle" value="disp" />
                               </c:if>
                               <c:set var="itempC" value="${itempC + 1}" />
                                <tr class="${classStyle}">
                                    <td style="text-align: center" width="70px">
                                        <c:if test="${product.quantity > 0}">
                                        <c:set var="findpcart" value="0" />
                                        <c:forEach var="productCartItem" begin="0" items="${applicationScope['cart'].ucd.cart.items}">
                                           <c:if test="${product.idProduct == productCartItem.product.idProduct}">
                                                <c:set var="findpcart" value="1" />
                                           </c:if>

                                        </c:forEach>
                                        <c:if test="${findpcart == 0}">
                                            <a href="javascript:addProductInCart(${product.idProduct})"><img src="<%=request.getContextPath()%>/resources/images/add.png" width="16" height="16" alt="Aggiungi in Carrello"/></a>
                                        </c:if>
                                        <c:if test="${findpcart == 1}">
                                            <a href="javascript:delProductInCart(${product.idProduct})"><img src="<%=request.getContextPath()%>/resources/images/cancel.png" width="16" height="16" alt="Rimuovi da Carrello"/></a>
                                        </c:if>
                                    </c:if>
                                    <c:if test="${product.quantity <= 0}">
                                        Prodotto FINITO
                                    </c:if>
                                    </td>
                                    <td>${product.nameProduct}</td>
                                    <td>${product.descProduct}</td>
                                    <td style="text-align: center" width="70px"><fmt:formatNumber value="${product.prize}" type="currency" currencyCode="EUR" pattern="€ ####.00" currencySymbol="EUR"/></td>
                                    <td style="text-align: center">${product.quantity}</td>
                                    <td style="text-align: center">${product.ptD.nameType}</td>
                                </tr>
                               </c:forEach>
                            </tbody>
                        </table>
                 </div>
            </form>
       </div>
       <jsp:include page="footer.jsp" />
    </div>
   </body>
</html>
