/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package it.electronicshop.web.controller;

import it.electronicshop.ejb.beans.cartControllerRemote;
import it.electronicshop.ejb.beans.requestRemote;
import it.electronicshop.ejb.util.CartDetails;
import it.electronicshop.ejb.util.CartItemDetails;
import it.electronicshop.ejb.util.UserClientDetails;
import java.io.IOException;
import java.util.LinkedList;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author boymixli
 */
public class UserC extends Controller {

    UserClientDetails ucd;

    protected void processRequest(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {

        try {
        errorMsg = "";
        generalMsg = "";
        cartCR = (cartControllerRemote) getServletContext().getAttribute("cart");
        req = (requestRemote) getServletContext().getAttribute("req");

        String uri = request.getRequestURI();
        String command = uri.substring(uri.indexOf("/user/")+1);
            String[] tmpS = command.split("/");
        String method = tmpS[1];
        nextPage =  "/index.jsp";

        if(method.equals("login"))
        {
            String username = "";
            String password = "";
            if(request.getParameter("username") != null)
            {
                username = request.getParameter("username");
            }
            if(request.getParameter("password") != null)
            {
                password = request.getParameter("password");
            }
            ucd = req.GetUserLogged(username, password);
            if(ucd == null)
            {
                nextPage =  "/index.jsp";
                errorMsg = "Attenzione utente non valido o password sbagliata";
            }
            else
            {
                nextPage =  "/product/listFilter?productType=-1";
                // new Cart
                List<CartItemDetails> lc = new LinkedList<CartItemDetails>();
                CartDetails cd = new CartDetails(ucd, lc);
                ucd.setCart(cd);
                cartCR.inizialize(ucd);
                getServletContext().setAttribute("cart", cartCR);
            }
        } else if(method.equals("register"))
        {
            String username = "";
            String password = "";
            if(request.getParameter("username") != null)
            {
                username = request.getParameter("username");
            }
            if(request.getParameter("password") != null)
            {
                password = request.getParameter("password");
            }

            ucd = new UserClientDetails(null, username, password, 0, null);
            req.createUserClient(ucd);
            ucd = req.GetUserLogged(username, password);
            if(ucd == null)
            {
                nextPage =  "/index.jsp";
                errorMsg = "Attenzione utente non valido o password sbagliata";
            }
            else
            {
                generalMsg = "Utente registrato.";
                nextPage =  "/product/listFilter?productType=-1&generalMsg="+generalMsg;
                // new Cart
                List<CartItemDetails> lc = new LinkedList<CartItemDetails>();
                CartDetails cd = new CartDetails(ucd, lc);
                ucd.setCart(cd);
                cartCR.inizialize(ucd);
                getServletContext().setAttribute("cart", cartCR);
            }
        } else if(method.equals("logout"))
        {
            nextPage =  "/index.jsp";
            generalMsg = "Utente uscito";
            cartCR.destroite();
        }
        }
        catch (Exception e)
        {
            errorMsg = "Attenzione si è verificato il seguente errore: "+e;
        }

        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(nextPage);
        request.setAttribute("errorMessage", errorMsg);
        request.setAttribute("generalMsg", generalMsg);
        dispatcher.forward(request,response);
    }
}
