/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package it.electronicshop.ejb.beans;

import it.electronicshop.ejb.util.CartDetails;
import it.electronicshop.ejb.util.ProductDetails;
import it.electronicshop.ejb.util.ProducttypeDetails;
import it.electronicshop.ejb.util.UserClientDetails;
import java.util.List;
import javax.ejb.Remote;

/**
 *
 * @author boymixli
 */
@Remote
public interface requestRemote {
   
    /* User Client */
    void createUserClient(UserClientDetails userClient);
    void editUserClient(UserClientDetails userClient);
    void removeUserClient(UserClientDetails userClient);
    UserClientDetails findUserClient(Object id);
    List<UserClientDetails> findAllUserClients();
    boolean isUserLoggedAdmin(java.lang.String user, java.lang.String password);
    UserClientDetails GetUserLogged(java.lang.String user, java.lang.String password);

    /* Product type */
    void createProducttype(ProducttypeDetails producttype);
    void editProducttype(ProducttypeDetails producttype);
    void removeProducttype(ProducttypeDetails producttype);
    ProducttypeDetails findProducttype(Object id);
    List<ProducttypeDetails> findAllProducttypes();

    /* Product */
    void createProduct(ProductDetails product);
    void editProduct(ProductDetails product);
    void removeProduct(ProductDetails product);
    ProductDetails findProduct(Object id);
    List<ProductDetails> findAllProducts();
    List<ProductDetails> findAllProductsByType(Object id);
    
    /* Cart */
    void createCart(CartDetails cart);
    void editCart(CartDetails cart);
    void removeCart(Integer userCart);
    CartDetails findCartByClient(Integer id);
    
}
