/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package it.electronicshop.web.controller;

import it.electronicshop.ejb.beans.cartControllerRemote;
import it.electronicshop.ejb.beans.requestRemote;
import it.electronicshop.ejb.util.ProductDetails;
import java.io.IOException;
import javax.ejb.CreateException;
import javax.naming.NamingException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author boymixli
 */
public class ProductC extends  Controller  {

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException, NamingException, CreateException {
        try {

            errorMsg = "";
            generalMsg = "";
            cartCR = (cartControllerRemote) getServletContext().getAttribute("cart");
            req = (requestRemote) getServletContext().getAttribute("req");

            if(cartCR.getUcd() == null)
            {
                //user not loggin
                errorMsg = "Utente non loggato";
                nextPage = "/index.jsp";
                throw new Exception(errorMsg);
            }

            String uri = request.getRequestURI();
            String command = uri.substring(uri.indexOf("/product/")+1);
            String[] tmpS = command.split("/");
            String method = tmpS[1];
            String pt = "-1";
            if(request.getParameter("productType") != null)
            {
                pt = (String) request.getParameter("productType");
            }
            if(request.getAttribute("productType") != null)
            {
                pt = (String) request.getAttribute("productType");
            }
            if(request.getParameter("generalMsg") != null)
            {
                generalMsg = (String) request.getParameter("generalMsg");
            }

            if(method.equals("listFilter"))
            {                
                nextPage =  "/catalog.jsp";

                if(pt.equals("-1"))
                {
                    request.setAttribute("products", req.findAllProducts());
                }
                else
                {
                    request.setAttribute("products", req.findAllProductsByType(new Integer(pt)));
                }
                request.setAttribute("productType", pt);
                request.setAttribute("producttypes", req.findAllProducttypes());
            }
            else if(method.equals("addPInCart")){

                Integer quantity = 1;
                Integer idP = new Integer((String) request.getParameter("product"));
                ProductDetails p  = req.findProduct(idP);

                if(p.getQuantity() < quantity)
                {
                    if(p.getQuantity()  == 0)
                    {
                        errorMsg = "Il prodotto richiesto ("+p.getNameProduct()+") è esaurito";
                    }
                    else
                    {
                        errorMsg = "Per il prodotto  richiesto ("+p.getNameProduct()+") ci sono a disposizione sono solo più "+p.getQuantity()+" pezzi";
                    }
                }
                else
                {
                    cartCR.addProductToCart(p, quantity);
                }

                nextPage =  "/product/listFilter?productType="+pt;


            } else if(method.equals("delPFromCart")){
                Integer idP = new Integer((String) request.getParameter("product"));
                cartCR.removeProductsCart(idP);
                if(request.getParameter("from") != null && request.getParameter("from").equals("cart"))
                {
                    nextPage =  "/cart/main";
                }
                else
                {
                    nextPage =  "/product/listFilter?productType="+pt;
                }
            }

        }
        catch (Exception e)
        {
            errorMsg = "Attenzione si è verificato il seguente errore: "+e.getMessage();
        }

        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(nextPage);
        request.setAttribute("errorMessage", errorMsg);
        request.setAttribute("generalMsg", generalMsg);
        dispatcher.forward(request,response);
    }
}
