/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package it.electronicshop.web.controller.setup;

import it.electronicshop.ejb.beans.cartControllerRemote;
import it.electronicshop.ejb.beans.requestRemote;
import java.rmi.RemoteException;
import javax.ejb.CreateException;
import javax.naming.NamingException;
import javax.servlet.http.HttpServlet;

/**
 *
 * @author developer
 */

public class Setup {

    private HttpServlet currentServlet;
    private SetUpCart cartS;
    private SetUpBusiness reqS;
    private cartControllerRemote cartCR;
    private requestRemote req;

    public Setup(HttpServlet S) throws NamingException, CreateException, RemoteException
    {
        currentServlet = S;

        if(S.getServletContext().getAttribute("cart") == null)
        {
            cartS = new SetUpCart();
            cartCR = cartS.getCartControllerRemoteRef();
        }
        else
        {
            cartCR = (cartControllerRemote) S.getServletContext().getAttribute("cart");
        }
        if(S.getServletContext().getAttribute("req") == null)
        {
            reqS = new SetUpBusiness();
            req = reqS.getRequestRemoteRef();
        }
        else
        {
            req = (requestRemote) S.getServletContext().getAttribute("req");
        }

        S.getServletContext().setAttribute("req", req);
        S.getServletContext().setAttribute("cart", cartCR);
    }

}
