<%-- 
    Document   : header
    Created on : Jun 26, 2009, 10:20:31 PM
    Author     : developer
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ page import="
    it.electronicshop.ejb.beans.cartControllerRemote,
    java.util.List"%>

<div id="header">
    <div id="menuBar">
        <c:if test="${! empty applicationScope['cart'].ucd.name}">
            <c:set var="countCart" value="0" />
            <c:if test="${! empty applicationScope['cart'].ucd.cart}">
                <c:set var="countCart" value="${fn:length(applicationScope['cart'].ucd.cart.items)}" />
            </c:if>
            <b>Ciao ${applicationScope['cart'].ucd.name}, <img src="<%=request.getContextPath()%>/resources/images/shoppingcart.gif" width="12" height="11" alt="carrello"/>(${countCart})</b>

            <c:if test="${nProduct != 0}">
                <a href="<%=request.getContextPath()%>/cart/main?productType=${requestScope['productType']}">Carrello <img src="<%=request.getContextPath()%>/resources/images/cart_edit.png" width="16" height="16" alt="Carrello"/></a> |
                <a href="<%=request.getContextPath()%>/cart/load">Carica ultimo carrello <img src="<%=request.getContextPath()%>/resources/images/cart_go.png" width="16" height="16" alt="Ultimo Carrello"/></a> |
            </c:if>
            <a href="<%=request.getContextPath()%>/product/listFilter?productType=${requestScope['productType']}">Catalogo <img src="<%=request.getContextPath()%>/resources/images/catalog.png" width="16" height="16" alt="Catalogo"/></a> |
            <a href="<%=request.getContextPath()%>/user/logout">Esci <img src="<%=request.getContextPath()%>/resources/images/exit.png" width="16" height="16" alt="Esci"/></a>
        </c:if>
        <c:if test="${empty applicationScope['cart'].ucd.name}">
            <b>..Benvenuto nel nostro negozio online..</b>
        </c:if>
        <img src="<%=request.getContextPath()%>/resources/images/logo.jpg" alt="Electronic Shop Online"/>
    </div>
    <div id="message" class="infoMessage">
        <%
            if(request.getServletPath().startsWith("/index.jsp") ||
                    request.getServletPath().startsWith("/user/"))
            {
                %>Se non hai una utenza, scegli una username e una password e clicca su "Registrati"<%
            }
        %>
        <c:if test="${! empty requestScope['generalMsg']}">
            Nota: ${requestScope['generalMsg']}
        </c:if>
    </div>
</div>

